1. Cashier APIs
  • Introduction
  • Transaction Flow: PayIn
  • Transaction Flow: PayOut
  • Merchant Endpoint Setup
  • Cashier APIs
    • PayIn Transaction
      POST
    • PayOut Transaction
      POST
    • User Verification Endpoint (X-User-Authorization)
      POST
    • Webhook Endpoint
      POST
  • PSP Configuration
    • ForumPay Configuration (Crypto)
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
  1. Cashier APIs

Webhook Endpoint

POST
Customer Callback URL
Webhook Integration for Transaction Updates
To receive transaction status updates from Mozarto, clients must first configure a webhook URL using a POST request.
Once a user completes a transaction (by clicking and finishing the payment via the provided payment link), Mozarto will send a POST request to the configured webhook URL with a payload containing the transaction details.
The webhook payload includes key information such as:
1.
transaction_id
2.
user_id
3.
currency
4.
status (e.g., success, failure)
5.
PSP-specific metadata and other relevant transaction details.
This webhook allows the client system to handle post-transaction processing automatically based on the final transaction result.
The customer must provide their callback URL to Mozarto in order to receive status updates for transaction.
This URL will be used by Mozarto to send real-time webhook notifications containing the transaction result.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "transaction_id": "682ec24303242cb8cc00d2f1",
    "user_id": "67f8bb3ecd2a9fa73b5e963e",
    "status": "Confirmed",
    "currency": "BTC",
    "confirmed": true,
    "invoice_currency": "AED"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://backend.app.mozarto.ioCustomer Callback URL' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "682ec24303242cb8cc00d2f1",
    "user_id": "67f8bb3ecd2a9fa73b5e963e",
    "status": "Confirmed",
    "currency": "BTC",
    "confirmed": true,
    "invoice_currency": "AED"
}'

Responses

⚪0
This response does not have a body.
Modified at 2025-08-01 09:21:15
Previous
User Verification Endpoint (X-User-Authorization)
Next
ForumPay Configuration (Crypto)
Built with